<?php session_start(); ?>
<?php
require("includes/clientecheck.php");
require("includes/functions.php");
require("config.php");

//echo "<pre>";
//var_dump($_SERVER);
//$_SERVER['SERVER_PROTOCOL']
//$_SERVER['']
//echo "</pre>";
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 * array(9) {
  ["cl_id"]=>
  string(1) "8"
  ["cl_login"]=>
  string(4) "az22"
  ["cl_nome"]=>
  string(4) "az22"
  ["cl_perfil"]=>
  string(18) "a:1:{i:0;s:1:"1";}"
  ["cl_num_conexoes"]=>
  string(1) "3"
  ["cl_data_inicio"]=>
  string(10) "2014-06-20"
  ["cl_vencimento"]=>
  string(19) "2014-07-31 23:59:59"
  ["cl_id_revenda"]=>
  string(3) "364"
  ["cl_valor_cobrado"]=>
  string(5) "35.00"
  }
 */

if (isset($_GET['pagamento'])) {
    
    $dados = array();
    
    $dados['valor_cob'] = $_SESSION["cl_valor_cobrado"];
    $dados['meses'] = isset($_POST['num_meses']) ? $_POST['num_meses'] : 1;
    $dados['nome_produto'] = "Renovação de Manutenção Remota - {$_SESSION['cl_login']}";

    //Gerando url notificação
    $protocolo = array();
    preg_match('/[A-Z]+/', $_SERVER['SERVER_PROTOCOL'], $protocolo);
    $dominio = (isset($_SERVER['SERVER_NAME'])) ? $_SERVER['SERVER_NAME'] : $_SERVER['SERVER_ADDR'];
    $raiz_arquivo = str_replace("\\", "/", dirname(__FILE__));
    $raiz_doc = $_SERVER['DOCUMENT_ROOT'];

    $pasta_complementar = "";
    if ($raiz_doc != $raiz_arquivo) {
        $pasta_complementar = str_replace($raiz_doc, "", $raiz_arquivo);
    }

    $url_notificacao = strtolower($protocolo[0]) . "://" . $dominio . $pasta_complementar . "/notificacao_ps.php?aid={$_SESSION['cl_id_revenda']}";
    //exit($url_notificao);
    if ($dados['valor_cob'] == "" || $dados['valor_cob'] == "0") {
        
        $ret['erro'] = 'Você não tem valor definido para pagamento, entre em contato com seu revendedor.';
        echo json_encode($ret);
        exit();
        
    }

    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or sqlerror();
    mysql_select_db($dbname, $conn);
    
    $SQL = "SELECT email_ps,token_ps FROM cmum_admins WHERE id = '{$_SESSION['cl_id_revenda']}'";
    $rs = mysql_query($SQL);
    
    if (is_resource($rs) && mysql_num_rows($rs) > 0) {
        
        $row = mysql_fetch_assoc($rs);
        //Verificando configuração do pagseguro do vendedor
        if ($row['email_ps'] == "" || !filter_var($row['email_ps']) || $row['token_ps'] == "" || strlen($row['token_ps']) > 32 || strlen($row['token_ps']) < 32 ) {
            
            $ret['erro'] = 'Seu revendedor não tem pagamento configurado, ou não foi configurado corretamente.';
            echo json_encode($ret);
            exit();
            
        } else {
            
            $dados['email_ps_rev'] = $row['email_ps'];
            $dados['token_ps_rev'] = $row['token_ps'];
            
            
           // $dados['url_ret_ps_rev'] = $row['url_ret_ps'];
        }
        //$dados['email_ps_rev'] = 
    } else {
        
        $ret['erro'] = 'Seu revendedor não tem pagamento configurado.';
        echo json_encode($ret);
        exit();
        
    }
    /*
      id	int(11)	Não
      id_login	int(11)	Não
      id_revenda	int(11)	Não
      nome_produto	varchar(255)	Não
      valor_un	decimal(10,2)	Não
      quantidade	int(5)	Não
      status	int(5)	Não
      metodo_pag	int(5)	Não
      codigo_pag	int(5)	Não
      codigo_noticacao	varchar(255)	Não
      data_cad	time	Não
      data_atual
     */
    //Gerando uma notificação interna
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or sqlerror();
    mysql_select_db($dbname, $conn);

    $SQL = "INSERT INTO cmum_ps_notificao (id,"
            . "id_login,"
            . "id_revenda,"
            . "nome_produto,"
            . "valor_un,"
            . "quantidade,"
            . "status,"
            . "url_notificacao) VALUES(null,"
            . "'{$_SESSION['cl_id']}',"
            . "'{$_SESSION['cl_id_revenda']}',"
            . "'{$dados['nome_produto']}',"
            . "'{$dados['valor_cob']}',"
            . "'{$dados['meses']}',"
            . "'0',"
            . "'$url_notificacao')";
            
    $rs = mysql_query($SQL);
    
    if ($rs === true) {
        
        $dados['id_ref_notificao'] = mysql_insert_id();
        
    } else {
        
        exit('Erro no bd' . mysql_error());
        
    }
    
    //Criando novo Pagamento
    include "includes/PagSeguroLibrary/PagSeguroLibrary.php";

    $pagamento = new PagSeguroPaymentRequest();

    $pagamento->setNotificationURL($url_notificacao); // Url notificação dinamica
    $pagamento->addItem('0001', $dados['nome_produto'], $dados['meses'], $dados['valor_cob']);
    $pagamento->setCurrency("BRL");
    $pagamento->setReference($dados['id_ref_notificao']);
    
    $credenciais = new PagSeguroAccountCredentials(
            
            $dados['email_ps_rev'], $dados['token_ps_rev']
            
    );

    $url = $pagamento->register($credenciais);
    $ret['url'] = $url;
    echo json_encode($ret);
    exit();
}




//Pegando os Perfis
$perfis = array();

$perfis = unserialize($_SESSION['cl_perfil']);

$ids_pf = implode(',', $perfis);

$conn = @mysql_connect($dbhost, $dbuser, $dbpass) or sqlerror();

mysql_select_db($dbname, $conn);

$SQL = "SELECT id,name,url_ip,porta FROM cmum_profiles WHERE id IN({$ids_pf})";

$rs = mysql_query($SQL);

$perfis = array();
if (is_resource($rs) && mysql_num_rows($rs) > 0) {
    while ($row = mysql_fetch_assoc($rs)) {
        
        $perfis[$row['name']] = $row;
        
    }
}
?>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>CSPWEBADM - Area do cliente</title>
        <link rel="shortcut icon" href="favicon.ico"/>
        <link rel="apple-touch-icon" href="favicon.png"/>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">
        <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css" />
        <script src="http://code.jquery.com/jquery-1.9.1.js"></script>
        <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
        <style>
            body{
                width:600px;
                margin: auto;
            }
        </style>
    </head>
    <body>
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title" style="font-size: 8pt">Ola, <?php echo $_SESSION['cl_nome'] ?>, seja bem vindo a area do cliente. <a href="logout.php?cliente=true">SAIR</a></h3>
            </div>
            <div class="panel-body">
                <div class="detalhes-login" style="border: solid 0px; width: 30%; float: left; border-bottom: solid 0px; border-right: solid 1px; ">
                    <p><strong>Informações do Login</strong></p> 
                    <p style="font-size: 8pt">
                        <strong>Login:</strong>  <?php echo $_SESSION['cl_login'] ?><br/>
                        <!--<strong>Operadoras:</strong>
                        <ul style="font-size: 8pt; list-style: none">
                            <?php foreach ($perfis as $perfil => $p) : ?>
                                <li><strong><?php echo $perfil; ?></strong></li>
                                <li>Url/Ip:  <?php echo $p['url_ip']; ?></li>
                                <li>Porta:  <?php echo $p['porta']; ?></li>
                            <?php endforeach; ?>
                        </ul>-->
                        <p style="font-size: 8pt">
                            <strong>Conexões Permitidas:</strong>  <?php echo $_SESSION['cl_num_conexoes'] ?><br/>
                            <strong>Cadastrado em:</strong>  <?php echo date('d/m/Y', strtotime($_SESSION['cl_data_inicio'])); ?><br/>
                            <strong>Px. Vencimento:</strong>  <?php echo date('d/m/Y', strtotime($_SESSION['cl_vencimento'])); ?><br/>

                        </p>
                </div>
                <div class="detalhes-login" style="border: solid 0px; width: 70%; margin-left: 30%; padding-left: 15px">
                    <p><strong>Renovar login</strong></p>
                    <form role="form" id="form-pagamento">
                        <div class="form-group">
                            <label for="valor_cob">Valor Mensal:</label>
                            <div class="input-group col-sm-4">
                                <div class="input-group-addon">R$</div>
                                <input type="text" class="form-control" id="valor_cob" value="<?php echo $_SESSION['cl_valor_cobrado'] ?>" readonly="true">
                            </div>                            
                        </div>
                        <div class="form-group">
                            <label for="num_meses">Renovar por:</label>
                            <div class="" style="width: 40%">
                                <select class="form-control" id="num_meses">
                                    <option value="1">1 Mês</option>
                                    <option value="2">2 Meses</option>
                                    <option value="3">3 Meses</option>
                                    <option value="4">4 Meses</option>
                                    <option value="5">5 Meses</option>
                                    <option value="6">6 Meses</option>
                                    <option value="7">7 Meses</option>
                                    <option value="8">8 Meses</option>
                                    <option value="9">9 Meses</option>
                                    <option value="10">10 Meses</option>
                                    <option value="11">11 Meses</option>
                                    <option value="12">12 Meses</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="total_pag">Total a pagar:</label>
                            <div class="input-group col-sm-4">
                                <div class="input-group-addon">R$</div>
                                <input type="text" class="form-control" id="total_pag" value="100" readonly="true">
                            </div> 
                        </div>
                        <div class="form-group">

                            <button class="btn btn-success">Pagar agora</button>
                        </div>
                    </form>
                    <hr style="padding: 0px; margin: 0px"/>
                    <img src="images/pagseguro.gif" width="300px"/>
                </div>
                <hr style=""/>
                <p>Ultimas transações</p>
                <?php
                $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or sqlerror();
                mysql_select_db($dbname, $conn);
                $SQL = "SELECT * FROM cmum_ps_notificao WHERE id_login='{$_SESSION['cl_id']}' ORDER BY data_atual DESC LIMIT 0,5";
                $rs = mysql_query($SQL);
                ?>
                <table class="table table-bordered table-condensed" style="font-size: 8pt">
                    <thead>
                        <th></th>
                        <th>Data do pagamento</th>
                        <th>Valor Un</th>
                        <th>Quantidade</th>
                        <th>Metodo de Pagamento</th>
                        <th>Situação</th>
                        <th>Ultima atualização</th>
                    </thead>
                    <?php
                    while ($row = mysql_fetch_assoc($rs)) {
                        $data_cad = date('d/m/Y H:i:s', strtotime($row['data_cad']));
                        $quantidade = $row['quantidade'];
                        $quantidade_sufixo = ($row['quantidade'] == 1) ? 'Mês' : 'Meses';
                        //Tabela Status
                        $tabela_status[0] = 'Incompleta';
                        $tabela_status[1] = 'Aguardando pagamento';
                        $tabela_status[2] = 'Em análise';
                        $tabela_status[3] = 'Paga';
                        $tabela_status[4] = 'Disponível';
                        $tabela_status[5] = 'Em disputa';
                        $tabela_status[6] = 'Devolvida';
                        $tabela_status[7] = 'Cancelada';
                        //Tabela Metodo Pagamento
                        $tabela_metodo_pag[0] = '-';
                        $tabela_metodo_pag[1] = 'Cartão de crédito';
                        $tabela_metodo_pag[2] = 'Boleto';
                        $tabela_metodo_pag[3] = 'Débito online (TEF)';
                        $tabela_metodo_pag[4] = 'Saldo PagSeguro';
                        $tabela_metodo_pag[5] = 'Oi Paggo';
                        $tabela_metodo_pag[7] = 'Depósito em conta';
                        //Ultima atualização
                        $data_atual = date('d/m/Y H:i:s', strtotime($row['data_atual']));
                        ?>
                        <tr>
                            <td></td>
                            <td><?php echo $data_cad; ?></td>
                            <td><?php echo $row['valor_un']; ?></td>
                            <td><?php echo $quantidade . " " . $quantidade_sufixo; ?></td>
                            <td><?php echo $tabela_metodo_pag[$row['metodo_pag']]; ?></td>
                            <td><?php echo $tabela_status[$row['status']]; ?></td>
                            <td><?php echo $data_atual; ?></td>
                        </tr>
                    <?php } ?>
                </table>
            </div>
        </div>
        <div class="modal fade div-carregando ">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header">
                      <!--<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>-->
                        <h4 class="modal-title">Processando sua solicitação</h4>
                    </div>
                    <div class="modal-body">
                        <p style="text-align: center"><img src="images/loading_transparent.gif"</p>
                    </div>
                    <div class="modal-footer">
                        <!--<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary">Save changes</button>-->
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <script>
            $(document).ready(function() {
                //var w = screen.availWidth;
                //alert(w);
                var qt_meses = $('#num_meses').val();
                var valor_cobrado_login = $('#valor_cob').val();
                var total_pag = qt_meses * valor_cobrado_login;
                $('#total_pag').val(total_pag.toFixed(2));

                $('#num_meses').on('change', this, function() {
                    var qt_meses = $(this).val();
                    var valor_cobrado_login = $('#valor_cob').val();
                    var total_pag = qt_meses * valor_cobrado_login;
                    $('#total_pag').val(total_pag.toFixed(2));
                });
                $('#form-pagamento').submit(function(e) {
                    e.preventDefault();
                    $('.div-carregando').modal('show');//
                    $.ajax({
                        type: "POST",
                        url: "cliente.php?pagamento=true",
                        data: {
                            num_meses: $('#num_meses').val()
                        },
                        dataType: 'json'
                    })
                            .done(function(ret) {
                                $('.div-carregando').modal('hide');//
                                //alert(ret);
                                if (ret.erro) {
                                    //erros
                                    alert(ret.erro);
                                }
                                if (ret.url) {
                                    /*var w = screen.width;
                                    var h = screen.height;
                                    var j = window.open(ret.url, "PagSeguro", "width=" + w + ", height=" + h);
                                    setTimeout(function(){
                                        document.location.href = "logout.php";
                                    },5000);*/
                                    document.location.href = ret.url;
                                    
                                }
                            });
                });
            });
        </script>
    </body>
</html>
